This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 568952 - Some footnote bodies don't appear at bottom of page in PDF output
Some footnote bodies don't appear at bottom of page in PDF output
Status: CLOSED CANTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 23:28 EST by Jared Smith
Modified: 2010-11-23 23:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 23:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 37579 None None None Never

  None (edit)
Description Jared Smith 2010-02-26 23:28:21 EST
Description of problem:

If I create a footnotes in paragraphs contained in either itemizedlist or orderelist tags, the footnote body fails to print at the bottom of the page.  The superscript footnote numbers appear within the text, and the footnote number is correct.  

Version-Release number of selected component (if applicable):

publican-1.5-0.fc12.noarch

How reproducible:

Always

Steps to Reproduce:
1. pushd /tmp
2. publican create --name FootnoteTest
3. cd FootnoteTest
4. vim Chapter.xml, and add the text below immediately before the last closing section tag:

       <itemizedlist>
         <listitem>
            <formalpara>
               <title>Formal Paragraph</title>
               <para>
                  This is a formal paragraph in a list, as it has a title.  Now I'd like to test a footnote
                  <footnote><para>This is the first footnote</para></footnote>.
               </para>
            </formalpara>
            <para>In this paragraph, I'll test another<footnote><para>This is the first footnote</para></footnote> footnote.</para>
         </listitem>
         <listitem>
            <para>This is a third<footnote><para>Testing testing, one two three</para></footnote> paragraph.</para>
         </listitem>
      </itemizedlist>
      <orderedlist>
         <listitem>
            <formalpara>
               <title>Formal Paragraph</title>
               <para>
                  This is a formal paragraph in a list, as it has a title.  Now I'd like to test a footnote
                  <footnote><para>This is yet another footnote</para></footnote>.
               </para>
            </formalpara>
         </listitem>
         <listitem>
            <para>This is another test<footnote><para>I'm hiding!</para></footnote> paragraph.</para>
         </listitem>
      </orderedlist>
      <para>Last but not least, a paragraph outside of the <literal>itemizedlist</literal>.  It too<footnote><para>Yeah, I know... they're getting old!</para></footnote>
      has a footnote.</para>

5. publican build --format=pdf --langs=en-US

Actual results:

Examine the footnotes in the PDF output.  Notice how only the last footnote body (the one declared outside the itemized list and ordered list) prints.

Expected results:

All footnotes should print.

Additional info:
Comment 1 Jeff Fearn 2010-02-26 23:43:30 EST
This one is a bug in FOP, it can't handle foot notes in lists or tables properly

https://issues.apache.org/bugzilla/show_bug.cgi?id=37579
Comment 2 Jeff Fearn 2010-02-27 03:19:56 EST
FYI apparently this is fixed in the FOP trunk, you'll have to either build FOP yourself or see if the FOP maintainer is willing to push an updated package to get the fix.

http://www.mail-archive.com/docbook-apps@lists.oasis-open.org/msg13480.html

Note You need to log in before you can comment on or make changes to this bug.